%define pkg muse
%define xemacs 1

%define emacs_sitelisp %{_datadir}/emacs/site-lisp
%define emacs_ver 21.4

%if %{xemacs}
%define xemacs_sitelisp %{_datadir}/xemacs/xemacs-packages/lisp
%define xemacs_ver 21.4.18
%endif

Name: muse
Version: 3.02.6b       
Release: 4%{?dist}
Summary: Emacs Muse is an authoring and publishing environment for Emacs
Group: Applications/Editors
License: GPL        
URL: http://www.mwolson.org/projects/MuseMode.html           
BuildArch: noarch

Source0: http://download.gna.org/muse-el/%{pkg}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: emacs >= %{emacs_ver}, texinfo
Requires: /sbin/install-info 

%if %{xemacs}
BuildRequires: xemacs >= %{xemacs_ver}
%endif

%description 
Muse is an authoring and publishing environment for (X)Emacs. It simplifies
the process of writings documents and publishing them to various output
formats. Muse uses a very simple Wiki-like format as input.

Muse can publish to the following formats.

    * Blosxom
    * DocBook
    * HTML
    * LaTeX
    * PDF
    * Texinfo
    * XHTML
    * XML

This package contains the files common to both the Emacs and XEmacs
installations of Muse. You need to install either (or both) of emacs-%{pkg}
and xemacs-%{pkg} to use Muse.

%package -n emacs-%{pkg}
Summary: Compiled Muse lisp files for Emacs
Group: Applications/Editors
Requires: %{name} = %{version}
Requires: emacs >= %{emacs_ver}
Requires: tetex-latex

%description -n emacs-%{pkg}
This package contains the files required to use Muse with Emacs.

%package -n emacs-%{pkg}-el
Summary: Muse lisp source files for Emacs
Group: Applications/Editors
Requires: %{name} = %{version}
Requires: emacs-%{pkg} = %{version}

%description -n emacs-%{pkg}-el
This package contains the source lisp files for Muse for Emacs.

%if %{xemacs}
%package -n xemacs-%{pkg}
Summary: Compiled Muse lisp files for XEmacs
Group: Applications/Editors
Requires: %{name} = %{version}
Requires: xemacs >= %{xemacs_ver}
Requires: tetex-latex

%description -n xemacs-%{pkg}
This package contains the files required to use Muse with XEmacs.

%package -n xemacs-%{pkg}-el
Summary: Muse lisp source files for XEmacs
Group: Applications/Editors
Requires: %{name} = %{version}
Requires: xemacs-%{pkg} = %{version}

%description -n xemacs-%{pkg}-el
This package contains the source lisp files for Muse for XEmacs.
%endif

%prep
%setup -q -n %{pkg}-%{version}

%build #Note that %{_smp_mflags} causes make to hang sometimes here.
make all muse.html

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_infodir}

make install \
  PREFIX=%{buildroot}/%{_usr} \
  INFODIR=%{buildroot}/%{_infodir} \
  INSTALLINFO="/sbin/install-info --infodir=%{buildroot}/%{_infodir}"

# Create startup file.
mkdir -p %{buildroot}/%{emacs_sitelisp}/site-start.d

cat > muse-init.el << EOF
;; Load muse-mode
(require 'muse-mode)

;; Load publishing styles
(require 'muse-html)
(require 'muse-latex)
(require 'muse-texinfo)
(require 'muse-docbook)
(require 'muse-wiki)
(require 'muse-journal)
EOF

cp muse-init.el %{buildroot}/%{emacs_sitelisp}/site-start.d/

# Xemacs files
%if %{xemacs}
make clean
make lisp EMACS=xemacs SITEFLAG=-no-site-file 
make install-bin ELISPDIR=%{buildroot}/%{xemacs_sitelisp}/%{pkg}
mkdir -p %{buildroot}/%{xemacs_sitelisp}/site-start.d
cp muse-init.el %{buildroot}/%{xemacs_sitelisp}/site-start.d/
%endif 

# Remove info dir creating by make install
rm -f %{buildroot}/usr/share/info/dir

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/muse.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/muse.info %{_infodir}/dir 2>/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc README NEWS AUTHORS ChangeLog ChangeLog.2004 ChangeLog.main examples muse.html
%doc %{_infodir}/*

%files -n emacs-%{pkg}
%defattr(-,root,root,-)
%{emacs_sitelisp}/%{pkg}/*.elc
%dir %{emacs_sitelisp}/%{pkg}
%{emacs_sitelisp}/site-start.d/muse-init.el

%files -n emacs-%{pkg}-el
%defattr(-,root,root,-)
%{emacs_sitelisp}/%{pkg}/*.el

%if %{xemacs}
%files -n xemacs-%{pkg}
%defattr(-,root,root,-)
%{xemacs_sitelisp}/%{pkg}/*.elc
%dir %{xemacs_sitelisp}/%{pkg}
%{xemacs_sitelisp}/site-start.d/muse-init.el

%files -n xemacs-%{pkg}-el
%defattr(-,root,root,-)
%{xemacs_sitelisp}/%{pkg}/*.el
%endif

%changelog
* Sun Apr 23 2006 RPM building account <jonathan.underwood@gmail.com> - 3.02.6b-4
- Update to version 3.02.6b

* Sun Mar  5 2006 Jonathan Underwood <jonathan.underwood@gmail.com> - 3.02.6a-3
- Added BuildRequires: texinfo
- Remove info dir from buildroot (created by make install)

* Fri Feb 10 2006 Jonathan Underwood <jonathan.underwood@gmail.com> - 3.02.6a-1
- Initial package build

